Bug 815188 - (CVE-2012-2127) CVE-2012-2127 kernel: pid namespace leak in kernel 3.0 and 3.1
CVE-2012-2127 kernel: pid namespace leak in kernel 3.0 and 3.1
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120420,repor...
: Security
Depends On: 815191 815192
Blocks: 815184
  Show dependency treegraph
 
Reported: 2012-04-23 00:37 EDT by Eugene Teo (Security Response)
Modified: 2015-07-31 02:50 EDT (History)
24 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-24 08:59:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2012-04-23 00:37:34 EDT
Vadim Ponomarev (ccrssaa at karelia.ru),  report a pid
namespace leak caused by vsftpd.

Detailed discussion can be found in:
https://bugzilla.novell.com/show_bug.cgi?id=757783

Introduced by:
http://git.kernel.org/linus/423e0ab086ad8b33626e45fa94ac7613146b7ffa

Upstream commit:
http://git.kernel.org/linus/905ad269c55fc62bee3da29f7b1d1efeba8aa1e1

Steps to reproduce:
https://bugzilla.novell.com/show_bug.cgi?id=757783#c0

Acknowledgements:

Red Hat would like to thank Vadim Ponomarev for reporting this issue.
Comment 3 Eugene Teo (Security Response) 2012-04-23 01:09:46 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 815192]
Comment 4 Eugene Teo (Security Response) 2012-04-23 01:25:09 EDT
Statement:

This issue did not affect the Linux kernel as shipped with Red Hat Enterprise Linux 4, 5, and 6 as they did not backport the upstream commit 423e0ab0 that introduced this issue. This issue did not affect Red Hat Enteprise Linux MRG 2.

Note You need to log in before you can comment on or make changes to this bug.